.container {
  max-width: 44rem;
  display: flex;
  flex-direction: column;
}

.share-button {
  display: flex;
  flex-direction: row;
  min-width: 0;
  border-radius: 0.9rem;
  border: 1px solid;
  border-color: transparent;
  overflow: hidden;

  &:hover {
    border-color: var(--pr-accent-color-very-light);
  }

  &-url-btn {
    flex: 1;
    min-width: 0;
    overflow: hidden;
    padding: 0 0.5rem;

    &-icon {
      margin-right: 0.5rem;
    }

    &-text {
      overflow: hidden;
      text-overflow: ellipsis;
      white-space: nowrap;
    }
  }

  &-copy-btn {
    padding: 1rem;
    &:hover {
      background-color: var(--pr-accent-color-very-light);
    }
  }
}

:global([data-color-scheme='dark']) .share-button-copy-btn:hover {
  color: var(--pr-accent-color-contrast);
}

.access-field {
  display: flex;
  flex: 1;
  flex-direction: row;
  align-items: center;

  &-label {
    margin: 0.5rem;
    font-weight: bold;
  }
}

.add-form {
  display: flex;
  flex: 1;
  flex-direction: column;
  margin: 1rem 0.5rem;

  &-title {
    font-weight: bold;
  }
  &-field {
    display: flex;
    flex: 1;
    flex-direction: row;
    align-items: flex-end;

    &-ctn {
      margin: 0;
      margin-right: 0.5rem;
    }
  }
}

.row-button {
  &-ctn {
    display: flex;
    flex-direction: row;
    justify-self: center;
  }
}
